Skip to content
GBG Documents & Biometrics Documentation

/Biometrics/id

POST
/Biometrics/id
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/Biometrics/id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form EnhancedLivenessPacketId=example \
--form ComparisonSelfieId=example \
--form 'AdditionalData={ "additionalProperty": "example" }'

Biometric check Endpoint detects biometric spoofing from the encrypted liveness packet id and the selfie image id, without introducing friction or bias.

Documents and Biometrics Core BiometricCheckById endpoint allows for an encrypted packet containing photograph and the environment metadata to be uploaded for processing to determine the probability that the end user was present at the time of capture, and also detect any threatening injection attacks. An anchor Selfie image id is uploaded to compare the face match with the image extracted from the liveness packet. (Please reach out to your support representative for the “Documents Biometrics Liveness Guide” for further guidance on authentication). The endpoint will return a result after processing. The response contains EnhancedLivenessScore, in the range of 0 to 1, PassiveLivenessScore in the range of 0 to 100, and FacematchScore in the range of 0 to 1. The results is either a PASS (EnhancedLiveness Probability > 0.8 and Facematch result is a Matched) or FAIL based on the validation.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
EnhancedLivenessPacketId

Gets or sets the enhanced liveness packet.

string
ComparisonSelfieId

Gets or sets the comparison selfie.

string
AdditionalData

Key value pair to include any additional metadata for the request.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the biometric check.This code does not indicate a success on the Biometric validation but rather a success on the call to the Endpoint.The BiometricCheckByIdResponse is in the response body (See Response Body section below).

Biometric Api response combining results of Enhanced Liveness and Facematch scores.

object
correlationId
string
nullable
enhancedLivenessError

Represents an error response object, providing information about the error code and its description.

object
errorCode

Gets or sets the error code, if returned by the provider.

string
nullable
error

Details on any error if returned by the provider.>

string
nullable
facematchError

Represents an error response object, providing information about the error code and its description.

object
errorCode

Gets or sets the error code, if returned by the provider.

string
nullable
error

Details on any error if returned by the provider.>

string
nullable
enhancedLivenessScore

Captures the Liveness score. Accepted values are in the range between 0 - 1.

number format: double
passiveLivenessScore

Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.

integer format: int32
facematchScore

Facematch score from the comparison of the selfie image with the extracted image from the Enhanced Liveness packet.

number format: float
result

Biometric validation result as PASS or FAIL based on the EnhancedLiveness probability and Facematch score.

string
nullable
enhancedLivenessResult

Enhanced Liveness result as PASS or FAIL based on the IAD probability score (threshold: 0.5).

string
nullable
extractedImageId

Image id of the extracted image.

string
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

Represents an error response object for biometric validation, providing information about the error code and its description.

object
correlationId
string
nullable
enhancedLivenessError

Represents an error response object, providing information about the error code and its description.

object
errorCode

Gets or sets the error code, if returned by the provider.

string
nullable
error

Details on any error if returned by the provider.>

string
nullable
facematchError

Represents an error response object, providing information about the error code and its description.

object
errorCode

Gets or sets the error code, if returned by the provider.

string
nullable
error

Details on any error if returned by the provider.>

string
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable